INTERFACE
SUBROUTINE REORD(PVOR,PDIV,PHGT,PVORA,PDIVA,PHGTA,KM,KDIR)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NCMAX ,NCPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVOR(NCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIV(NCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGT(NCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORA(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVA(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGTA(2*(NCMAX+1-KM))
INTEGER(KIND=JPIM),INTENT(IN) :: KDIR
END SUBROUTINE REORD
END INTERFACE
